package model

import (
	meta "git.loafle.net/overflow/overflow_commons_go/modules/meta/model"
	"git.loafle.net/overflow/overflow_commons_go/modules/timestamp/model"
	domain "git.loafle.net/overflow/overflow_commons_go/modules/domain/model"
	member "git.loafle.net/overflow/overflow_commons_go/modules/member/model"
	"encoding/json"
)

type Probe struct {
	Id         json.Number         `json:"id,Number,omitempty"`
	Status *meta.MetaProbeStatus	`json:"status,omitempty"`
	CreateDate timestamp.Timestamp	`json:"createDate,omitempty"`
	Domain *domain.Domain					`json:"domain,omitempty"`
	ProbeKey string					`json:"probeKey,omitempty"`
	EncryptionKey string			`json:"encryptionKey,omitempty"`
	TargetCount int					`json:"targetCount,omitempty"`
	SensorCount int					`json:"sensorCount,omitempty"`
	DisplayName string				`json:"displayName,omitempty"`
	Cidr string						`json:"cidr,omitempty"`
	AuthorizeDate timestamp.Timestamp	`json:"authorizeDate,omitempty"`
	AuthorizeMember *member.Member			`json:"authorizeMember,omitempty"`
}